<?php
// Theme Options
define( 'OPTIONS_FRAMEWORK_DIRECTORY', get_template_directory_uri() . '/inc/' );
require_once dirname( __FILE__ ) . '/inc/options-framework.php';
require_once get_template_directory() . '/options.php';
add_action( 'optionsframework_custom_scripts', 'optionsframework_custom_scripts' );
function optionsframework_custom_scripts() { ?>
<script type="text/javascript">
jQuery(document).ready(function() {
	jQuery('#example_showhidden').click(function() {
  		jQuery('#section-example_text_hidden').fadeToggle(400);
		});
	if (jQuery('#example_showhidden:checked').val() !== undefined) {
		jQuery('#section-example_text_hidden').show();
	}
});
</script>
<?php }

//Initial Settings
add_theme_support('title-tag');
add_theme_support('post-thumbnails');	


add_theme_support('automatic-feed-links');


if ( ! isset( $content_width ) ) {
	$content_width = 600;
}

add_post_type_support( 'page', 'excerpt' );
add_post_type_support( 'post', 'excerpt' );
add_filter( 'wp_title', 'rockytop_theme_title_for_home' );
function rockytop_theme_title_for_home( $title )
{
  if ( empty( $title ) && ( is_home() || is_front_page() ) ) {
    $title = __( 'Home', 'rockytop' ) . ' | ' . get_bloginfo( 'description' );
  }
  return $title;
}

function rockytop_theme_name_scripts() {
	 wp_enqueue_style( 'rockytop-bootstrap', get_template_directory_uri() .'/css/bootstrap.css');
	 wp_enqueue_style( 'rockytop-owl-carousel', get_template_directory_uri() .'/css/owl.carousel.min.css' );
	 wp_enqueue_style( 'rockytop-owl-theme-default-min', get_template_directory_uri() .'/css/owl.theme.default.min.css' );	
	 wp_enqueue_style( 'rockytop-base', get_stylesheet_uri() );


	 wp_enqueue_script( 'rockytop-jquery-js', get_template_directory_uri() . '/js/jquery-3.3.1.min.js');
	 wp_enqueue_script( 'rockytop-bootstrap-js', get_template_directory_uri() . '/js/bootstrap.min.js' );
	 wp_enqueue_script( 'rockytop-owl-carousel-min-js', get_template_directory_uri() . '/js/owl.carousel.min.js' );
	 wp_enqueue_script( 'rockytop-main-js', get_template_directory_uri() . '/js/custom.js' );
	

	if ( is_singular() ) wp_enqueue_script( "comment-reply" );
}
add_action( 'wp_enqueue_scripts', 'rockytop_theme_name_scripts' );

register_nav_menu('main', 'Main Menu');

  function allow_font_mime_types($mimes) {
  $mimes['eot']   = 'application/vnd.ms-fontobject';
  $mimes['woff']  = 'application/font-woff'; 
  $mimes['otf']   = 'application/vnd.oasis.opendocument.formula-template';
  $mimes['svg']   = 'image/svg+xml';

  return $mimes;
}
add_filter('upload_mimes', 'allow_font_mime_types'); 

function rockytop_theme_basic_settings() {
    add_editor_style( get_template_directory_uri() .'css/custom-editor-style.css' );
}
add_action( 'admin_init', 'rockytop_theme_basic_settings' );


function theme_prefix_setup() {	


//Slider

//$labels = array( 'name' => 'Sliders', 'singular_name' => 'Slider', 'add_new' => 'Add New', 'add_new_item' => 'Add New Slider', 'edit_item' => 'Edit Slider', 'new_item' => 'New Slider', 'all_items' => 'All Slider', 'view_item' => 'View Slider', 'search_items' => 'Search Slider', 'not_found' =>  'No Slider found', 'not_found_in_trash' => 'No Slider found in Trash', 'parent_item_colon' => '', 'menu_name' => 'Slider' );

//$args = array( 'labels' => $labels, 'public' => true, 'publicly_queryable' => true, 'show_ui' => true,  'show_in_menu' => true, 'query_var' => true, 'rewrite' => array( 'slug' => 'sliders' ), 'capability_type' => 'post', 'has_archive' => true, 'hierarchical' => false,'menu_position' => null,'supports' => array( 'title', 'thumbnail', 'editor' )  ); 

//register_post_type( 'sliders', $args );

//Videos

//$labels = array( 'name' => 'Videos', 'singular_name' => 'Videos', 'add_new' => 'Add New', 'add_new_item' => 'Add New Videos', 'edit_item' => 'Edit Videos', 'new_item' => 'New Videos', 'all_items' => 'All Videos', 'view_item' => 'View Videos', 'search_items' => 'Search Videos', 'not_found' =>  'No Videos found', 'not_found_in_trash' => 'No Videos found in Trash', 'parent_item_colon' => '', 'menu_name' => 'Videos' );

//$args = array( 'labels' => $labels, 'public' => true, 'publicly_queryable' => true, 'show_ui' => true,  'show_in_menu' => true, 'query_var' => true, 'rewrite' => array( 'slug' => 'videos' ), 'capability_type' => 'post', 'has_archive' => true, 'hierarchical' => false,'menu_position' => null,'supports' => array( 'title', 'thumbnail', 'editor' )  ); 

//register_post_type( 'videos', $args );


}
add_action( 'after_setup_theme', 'theme_prefix_setup' );
add_action( 'after_setup_theme', 'woocommerce_support' );
remove_action( 'woocommerce_after_single_product_summary', 'woocommerce_output_related_products', 20 );

function woocommerce_support() {    
	add_theme_support( 'woocommerce' ); 
}

//Widget Area
  register_sidebar(array(
 'name' => __( 'Footer Sidebar' ),
 'id' => 'footer_sidebar',
 'description' => __( 'Widgets in this area will be shown on inner page.' ),
 'before_title' => '<h4>',
 'after_title' => '</h4>',
   ));

// function my_custom_add_to_cart_redirect( $url ) {

	// $url = get_permalink( 20 ); // URL to redirect to (1 is the page ID here)

	// return $url;

// }
// add_filter( 'woocommerce_add_to_cart_redirect', 'my_custom_add_to_cart_redirect' );
   
// Pagination


function custom_pagination($numpages = '', $pagerange = '', $paged='') {

  if (empty($pagerange)) {
    $pagerange = 2;
  }

  /**
   * This first part of our function is a fallback
   * for custom pagination inside a regular loop that
   * uses the global $paged and global $wp_query variables.
   *
   * It's good because we can now override default pagination
   * in our theme, and use this function in default quries
   * and custom queries.
   */
  global $paged;
  if (empty($paged)) {
    $paged = 1;
  }
  if ($numpages == '') {
    global $wp_query;
    $numpages = $wp_query->max_num_pages;
    if(!$numpages) {
        $numpages = 1;
    }
  }

  /**
   * We construct the pagination arguments to enter into our paginate_links
   * function.
   */
  $pagination_args = array(
    'base'            => get_pagenum_link(1) . '%_%',
    'format'          => 'page/%#%',
    'total'           => $numpages,
    'current'         => $paged,
    'show_all'        => False,
    'end_size'        => 1,
    'mid_size'        => $pagerange,
    'prev_next'       => True,
    'prev_text'       => __('Prev'),
    'next_text'       => __('Next'),
    'type'            => 'plain',
    'add_args'        => false,
    'add_fragment'    => ''
  );

  $paginate_links = paginate_links($pagination_args);

  if ($paginate_links) {
    echo "<nav class='custom-pagination'>";     
      echo $paginate_links;
     
    echo "</nav>";
  }

}
