<?php

function optionsframework_option_name() {

	return 'options-framework-theme';

}

function optionsframework_options() {

	$options_categories = array();

	$options_categories_obj = get_categories();

	foreach ($options_categories_obj as $category) {

		$options_categories[$category->cat_ID] = $category->cat_name;

	}

	$options_tags = array();

	$options_tags_obj = get_tags();

	foreach ( $options_tags_obj as $tag ) {

		$options_tags[$tag->term_id] = $tag->name;

	}

	$options_pages = array();

	$options_pages_obj = get_pages('sort_column=post_parent,menu_order');

	$options_pages[''] = 'Select a page:';

	foreach ($options_pages_obj as $page) {

		$options_pages[$page->ID] = $page->post_title;

	}

	$options_posts = array();

	$options_posts_obj = get_posts('sort_column=post_parent,menu_order');

	$options_posts[''] = 'Select a post:';

	foreach ($options_posts_obj as $post) {

		$options_posts[$post->ID] = $post->post_title;

	}

	$imagepath =  get_template_directory_uri() . '/inc/images/';

	

	$wp_editor_settings = array(

		'wpautop' => true, // Default

		'textarea_rows' => 5,

		'tinymce' => array( 'plugins' => 'wordpress' )

	);

	

	$options = array();

	

// Header

	$options[] = array(

		'name' => __('General Settings', 'options_framework_theme'),

		'type' => 'heading');



	$options[] = array(

		'name' => __('Logo', 'options_framework_theme'),

		'desc' => __('Upload your Logo', 'options_framework_theme'),

		'id' => 'theme_logo',

		'type' => 'upload');



	$options[] = array(

		'name' => __('Favicon', 'options_framework_theme'),

		'desc' => __('Upload your favicon max 32X22 px', 'options_framework_theme'),

		'id' => 'theme_favicon',

		'type' => 'upload');	





// Footer



	$options[] = array(

		'name' => __('Footer Settings', 'options_framework_theme'),

		'type' => 'heading');	

		

	$options[] = array(

		'name' => __('Footer Logo', 'options_framework_theme'),

		'desc' => __('Upload your Logo', 'options_framework_theme'),

		'id' => 'theme_footer_logo',

		'type' => 'upload');		

			

	$options[] = array(

		'name' =>  __('Footer Content', 'options_framework_theme'),

		'id' => 'theme_footer_content',

		'type' => 'editor',

		'settings' => $wp_editor_settings );	

									

	$options[] = array(

		'name' =>  __('Contact btn Link', 'options_framework_theme'),

		'id' => 'theme_btn_link',

		'std' => '',

		'type' => 'text' );		

											

// Social Settings



	$options[] = array(

		'name' => __('Social Settings', 'options_framework_theme'),

		'type' => 'heading');	



													

	$options[] = array(

		'name' =>  __('Facebook Link', 'options_framework_theme'),

		'id' => 'theme_facebook',

		'std' => '',

		'type' => 'text' );		



	$options[] = array(

		'name' =>  __('Twitter Link', 'options_framework_theme'),

		'id' => 'theme_twitter',

		'std' => '',

		'type' => 'text' );		

				

	$options[] = array(

		'name' =>  __('Linked In Link', 'options_framework_theme'),

		'id' => 'theme_linkedin',

		'std' => '',

		'type' => 'text' );		



	return $options;

}